petsc-3.4.2 2013-07-02

# PetscDLLibraryAppend

Appends another dynamic link library to the seach list, to the end of the search path.

### Synopsis

    PetscErrorCode  PetscDLLibraryAppend(MPI_Comm comm,PetscDLLibrary *outlist,const char path[])

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| path | - name of the library

### Output Parameter

outlist -list of libraries

Notes: if library is already in path will not add it.

If the library has the symbol PetscDLLibraryRegister_basename() in it then that function is automatically run when the library is opened.

### See Also

PetscDLLibraryOpen()

Level:developer
Location:src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex28.c.html